Apple announces new app submission requirement

Product(s)
Video Cloud
Brightcove Player
Role(s)
Device SDK Developer
Task(s)
Develop with the Native SDKs
SDK
Announcement
iOS
tvOS

Apple announces that you will need to build your projects using the iOS 12.1 SDK when submitting new apps to the App Store.

Requirements for App Store

To take advantage of the new features provided by the iOS SDK, Apple will require that all new apps submitted to the App Store must be built with the iOS 12.1 SDK or later. This requirement takes effect starting March 2019.

This means that to submit any new apps, you will have to use Xcode 10.1, which provides the tools to build apps for the latest SDKs, including iOS 12, tvOS 12 and Swift 4.2.

For details, see the Submitting iOS apps to the App Store documentation.

Native SDK support

Following Appleā€™s lead, the Brightcove Native SDK for iOS/tvOS v6.3.10+ supports building with Xcode 10.1. If you have not already done so, please migrate to Xcode 10.1 as soon as possible.